<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- chr-02 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
        	<TR>
        		<TD colspan="2" width="780" height="64" style="background-image: url('images/menu_bg.jpg'); background-repeat: no-repeat;">
        		<!-- MENU -->
        			<!-- CALL TOP-MENU -->
        			<xsl:call-template name="TOP-MENU"/>
        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD width="780" height="252" colspan="2" valign="top" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
					<table cellpadding="0" cellspacing="0" width="780" height="252" border="0">
						<tr>
							<td width="30"></td>
							<td width="208">
							<!-- LOGO -->
					      			<table cellpadding="0" cellspacing="0">
								     <tr>
			        					<td rowspan="2" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
			        					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
			        				</tr>
			        				<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
					      			</table>	
					      		<!-- END LOGO -->
							</td>
							<td width="542"></td>
						</tr>
					</table>
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="238" height="100%">
        		<!-- SUBMENU -->
        			<table cellpadding="0" cellspacing="0" width="198" align="right" height="150">
        				<tr><td height="40" bgcolor="#FFBA00" align="center"><img src="images/submenu_tbullet.gif"/></td></tr>
        				<tr>
        					<td height="100%" bgcolor="#FFBA00">
        						<!-- CALL SUB-MENU -->
        						<xsl:call-template name="SUB-MENU">
        							<xsl:with-param name="pageID" select="@ID"/>
        						</xsl:call-template>
        					</td>
        				</tr>
        				<tr><td height="44"><img src="images/submenu_bbg.gif"/></td></tr>
        			</table>
        		<!-- END SUBMENU -->
        		</TD>
        		<TD valign="top" width="542" height="100%" style="background-image: url('images/bg.jpg'); background-repeat: no-repeat;">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="470" align="center">
        				<tr><td height="95"></td></tr>
        				<tr><td class="text-header" align="right" style="padding: 0px 20px 0px 260px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        				<tr><td height="15"></td></tr>
        				<tr>
        					<td class="text" width="470">
        						<xsl:apply-templates select="PAGE-CONTENT"/>
        					</td>
        				</tr>
        				<tr><td height="20"></td></tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="97" style="background-image: url('images/footer_bg.jpg'); background-repeat: no-repeat; padding: 40px;" class="footer" align="right">
        		<!-- FOOTER -->
        			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>

		</html>

	</xsl:template>


	<!--TOP-MENU-->
   				
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" height="64">
   			<tr>
   				<td width="30"></td>
				<xsl:apply-templates select="MENU" mode="top"/>			
   				<td width="290"></td>
   			</tr>
   		</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" width="160" align="center">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" width="160" align="center">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
