<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- chr-03 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" background="images/bg.gif">
        	<TR>
        		<TD colspan="2" width="780" height="293" valign="top" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        			<table cellpadding="0" cellspacing="0" width="500" height="293" align="right">
        				<tr>
        					<td height="230">
								<table cellpadding="0" cellspacing="0" width="500" height="230" border="0">
								   	<tr><td colspan="2" height="50%"></td></tr>
									<tr>
										<td width="470">
										<!-- LOGO -->
											<table cellpadding="0" cellspacing="0" align="right">
			        							<tr>
			        								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
			        								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
			        							</tr>
			        							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			        						</table>	
								      		<!-- END LOGO -->
										</td>
										<td width="30"></td>
									</tr>
									<tr><td colspan="2" height="50%"></td></tr>
								</table>
        					</td>
        				</tr>
        				<tr>
        					<td height="63">
        						<!-- MENU -->
        							<!-- CALL TOP-MENU -->
        							<xsl:call-template name="TOP-MENU"/>
        						<!-- END MENU -->
        					</td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="240" height="100%">
        		<!-- SUBMENU -->
        			<table cellpadding="0" cellspacing="0" align="right" width="209" height="230">
        				<tr><td height="4" bgcolor="#900907"></td></tr>
        				<tr>
        					<td height="185" bgcolor="#C80C0A" valign="top">
        						<!-- CALL SUB-MENU -->
        						<xsl:call-template name="SUB-MENU">
        							<xsl:with-param name="pageID" select="@ID"/>
        						</xsl:call-template>
        					</td>
        				</tr>
        				<tr><td height="41"><img src="images/submenu_bbg.gif"/></td></tr>
        			</table>
        		<!-- END SUBMENU -->
        		</TD>
        		<TD valign="top" width="540" height="100%">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="503" height="310">
        				<tr><td height="4" class="tbg"></td></tr>
        				<tr>
        					<td height="250" class="bg" valign="top">
        						<table cellpadding="0" cellspacing="0" width="380" align="center">
        							<tr><td height="20"></td></tr>
        							<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        							<tr><td height="15"></td></tr>
        							<tr>
        								<td class="text" width="380">
        									<xsl:apply-templates select="PAGE-CONTENT"/>
        								</td>
        							</tr>
        						</table>
        					</td>
        				</tr>
        				<tr><td height="56"><img src="images/bbg.gif"/></td></tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR><TD colspan="2" height="40"></TD></TR>
        	<TR>
        		<TD height="47" valign="bottom">
        			<img src="images/bimage.gif"/><br />
        		</TD>
        		<TD height="47" class="footer" align="right" style="padding: 20px;">
        		<!-- FOOTER -->
        			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-MENU-->
  				
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" align="center">
   			<tr>								
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" width="160" align="center">
   					<tr><td height="20"></td></tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" width="160" align="center">
   					<tr><td height="20"></td></tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
