<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- chr-04 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
        	<TR>
        		<TD colspan="2" width="780" height="56" valign="top" style="background-image: url('images/menu_bg.gif'); background-repeat: repeat-x;">
        		<!-- MENU -->
        			<!-- CALL TOP-MENU -->
        			<xsl:call-template name="TOP-MENU"/>
        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="292" valign="top">
        			<table cellpadding="0" cellspacing="0" width="780" height="292">
        				<tr>
        					<td class="company" style="background-image: url('images/logo_bg.jpg'); background-repeat: no-repeat; padding: 5px 0px 5px 75px;" width="354" align="center">
        						<!-- LOGO -->
        							<a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;" align="absmiddle"/></a><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
        						<!-- END LOGO -->
        					</td>
        					<td width="426"><img src="images/header.jpg"/></td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="462" height="100%" class="bg">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="378" align="right">
        				<tr><td height="50"></td></tr>
        				<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        				<tr><td height="15"></td></tr>
        				<tr>
        					<td class="text" width="378">
        						<xsl:apply-templates select="PAGE-CONTENT"/>
        					</td>
        				</tr>
        				<tr><td height="20"></td></tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        		<TD valign="top" width="318" height="100%" class="submenu-bg" style="background-image: url('images/submenu_bg.jpg'); background-repeat: no-repeat;">
        		<!-- SUBMENU -->
        			<!-- CALL SUB-MENU -->
        			<xsl:call-template name="SUB-MENU">
        				<xsl:with-param name="pageID" select="@ID"/>
        			</xsl:call-template>
        		<!-- END SUBMENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="98">
        			<table cellpadding="0" cellspacing="0" width="780" height="98" class="bg">
        				<tr>
        					<td width="354"></td>
        					<td width="426" align="right" class="footer" style="padding: 5px 10px 5px 250px; background-image: url('images/footer_bg.gif'); background-position: top right; background-repeat: no-repeat;">
        					<!-- FOOTER -->
        						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        					<!-- END FOOTER -->
        					</td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-MENU-->
   				
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" align="center" height="56">
   			<tr>
   				<td width="30"></td>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
     			<table cellpadding="0" cellspacing="0" width="160" align="right" style="margin: 50px 35px 5px 5px;">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
     			<table cellpadding="0" cellspacing="0" width="160" align="right" style="margin: 50px 35px 5px 5px;">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
