<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- chr-09 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" class="bg">
        	<TR>
        		<TD colspan="2" width="780" height="353" valign="top">
        			<table cellpadding="0" cellspacing="0" width="780" height="353" border="0">
        				<tr valign="top">
        					<td style="background-image: url('images/logo_bg.jpg'); background-repeat: no-repeat;" width="332" align="center">
								<table cellpadding="0" cellspacing="0" width="332" height="353" border="0">
									<tr>
										<td width="72"></td>
										<td width="260" style="vertical-align: top; padding-top: 40px;">
												<!-- LOGO -->
					        						<table cellpadding="0" cellspacing="0" width="260">
					        							<tr>
					        								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
					        								<td class="company" valign="bottom" width="100%"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
					        							</tr>
					        							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
					        						</table>
					        					<!-- END LOGO -->
					        					<!-- MENU -->
					        						<!-- CALL TOP-MENU -->
					        						<xsl:call-template name="TOP-MENU"/>
					        					<!-- END MENU -->
										</td>
									</tr>
								</table>
        					</td>
        					<td>
        						<img src="images/header.jpg"/></td>
        				</tr>
        			</table>
        		
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="330" height="100%" style="padding-left: 72px; background-image: url('images/submenu_bbg.gif'); background-position: bottom left; background-repeat: no-repeat;" align="center">
        		<!-- SUBMENU -->
        			<!-- CALL SUB-MENU -->
        			<xsl:call-template name="SUB-MENU">
        				<xsl:with-param name="pageID" select="@ID"/>
        			</xsl:call-template>
        		<!-- END SUBMENU -->
        		</TD>
        		<TD valign="top" width="450" height="100%" style="background-image: url('images/bg.gif'); background-position: top right; background-repeat: no-repeat;">
        		<div style="width:450px; height:1px;"><spacer type="block" width="450" height="1"/></div>
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="345">
        				<tr><td height=""></td></tr>
        				<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        				<tr><td height="15"></td></tr>
        				<tr>
        					<td class="text" width="">
        						<xsl:apply-templates select="PAGE-CONTENT"/>
        					</td>
        				</tr>
        				<tr><td height="40"></td></tr>
        				<!-- FOOTER -->
        				<tr><td class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td></tr>
        				<!-- END FOOTER -->
        				<tr><td height="80"></td></tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="17" style="background-image: url('images/bbg.gif'); background-repeat: repeat-x;"></TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" width="200" style="margin-top: 20px;">
			<xsl:apply-templates select="MENU" mode="top"/>			
   		</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
      			<table cellpadding="0" cellspacing="0" width="160">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
      			<table cellpadding="0" cellspacing="0" width="160">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
